## EvAttachment

EvAttachment —

## Synopsis

                EvAttachmentPrivate;
    #define     EV_ATTACHMENT_ERROR
                EvAttachment;
    GQuark      ev_attachment_error_quark       (void);
    EvAttachment* ev_attachment_new             (const gchar *name,
                                                 const gchar *description,
                                                 GTime mtime,
                                                 GTime ctime,
                                                 gsize size,
                                                 gpointer data);
    const gchar* ev_attachment_get_name         (EvAttachment *attachment);
    const gchar* ev_attachment_get_description  (EvAttachment *attachment);
    GTime       ev_attachment_get_modification_date
                                                (EvAttachment *attachment);
    GTime       ev_attachment_get_creation_date (EvAttachment *attachment);
    const gchar* ev_attachment_get_mime_type    (EvAttachment *attachment);
    gboolean    ev_attachment_save              (EvAttachment *attachment,
                                                 const gchar *uri,
                                                 GError **error);
    gboolean    ev_attachment_open              (EvAttachment *attachment,
                                                 GError **error);

## Object Hierarchy

      GObject
       +----EvAttachment

## Properties

      "ctime"                gulong                : Write / Construct Only
      "data"                 gpointer              : Write / Construct Only
      "description"          gchararray            : Write / Construct Only
      "mtime"                gulong                : Write / Construct Only
      "name"                 gchararray            : Write / Construct Only
      "size"                 guint                 : Write / Construct Only

## Description

## Details

### EvAttachmentPrivate

    typedef struct _EvAttachmentPrivate EvAttachmentPrivate;

### EV_ATTACHMENT_ERROR

    #define EV_ATTACHMENT_ERROR (ev_attachment_error_quark ())

### EvAttachment

    typedef struct _EvAttachment EvAttachment;

### ev_attachment_error_quark ()

    GQuark      ev_attachment_error_quark       (void);

Returns : |

### ev_attachment_new ()

    EvAttachment* ev_attachment_new             (const gchar *name,
                                                 const gchar *description,
                                                 GTime mtime,
                                                 GTime ctime,
                                                 gsize size,
                                                 gpointer data);

`name` : |
`description` : |
`mtime` : |
`ctime` : |
`size` : |
`data` : |
Returns : |

### ev_attachment_get_name ()

    const gchar* ev_attachment_get_name         (EvAttachment *attachment);

`attachment` : |
Returns : |

### ev_attachment_get_description ()

    const gchar* ev_attachment_get_description  (EvAttachment *attachment);

`attachment` : |
Returns : |

### ev_attachment_get_modification_date ()

    GTime       ev_attachment_get_modification_date
                                                (EvAttachment *attachment);

`attachment` : |
Returns : |

### ev_attachment_get_creation_date ()

    GTime       ev_attachment_get_creation_date (EvAttachment *attachment);

`attachment` : |
Returns : |

### ev_attachment_get_mime_type ()

    const gchar* ev_attachment_get_mime_type    (EvAttachment *attachment);

`attachment` : |
Returns : |

### ev_attachment_save ()

    gboolean    ev_attachment_save              (EvAttachment *attachment,
                                                 const gchar *uri,
                                                 GError **error);

`attachment` : |
`uri` : |
`error` : |
Returns : |

### ev_attachment_open ()

    gboolean    ev_attachment_open              (EvAttachment *attachment,
                                                 GError **error);

`attachment` : |
`error` : |
Returns : |

## Property Details

### The "`ctime`" property

      "ctime"                gulong                : Write / Construct Only

The attachment creation date.

### The "`data`" property

      "data"                 gpointer              : Write / Construct Only

The attachment data.

### The "`description`" property

      "description"          gchararray            : Write / Construct Only

The attachment description.

Default value: NULL

### The "`mtime`" property

      "mtime"                gulong                : Write / Construct Only

The attachment modification date.

### The "`name`" property

      "name"                 gchararray            : Write / Construct Only

The attachment name.

Default value: NULL

### The "`size`" property

      "size"                 guint                 : Write / Construct Only

The attachment size.

Default value: 0